- hosts: localhost
  connection: local
  tasks:
    - name: Capturing Terraform State
      command: "cat tfstate.bin"
      register: _terraform_state
      changed_when: false
      args:
        chdir: "../terraform"
      tags:
        - terraform_inventory
    - name: Generating Terraform Ansible Inventory
      template:
        src: templates/terraform.inv.j2
        dest: "./terraform.inv"
      tags:
        - terraform_inventory
    - name: Generating Ansible Variables
      template:
        src: templates/variables.j2
        dest: "./roles/bedrock/vars/main.yml"
      tags:
        - variables
